UTM not updating

I have UTM 9 running at my home, have had it since early 2017. We moved and my server had to sit until we got situated in our new home. Up and running now, but the system will no longer update itself, either automatically or manually. It is currently running firmware version 9.605-1, is set to automatic firmware download, but insists "Your firmware is up to date". I manually downloaded 9.703 and it was successfully recognized and uploaded through the manual Up2Date package system. It went through the update process, but after restarting it still shows that it is running 9.605-1 and being up to date.

It also says that the current pattern version is 188534 and that the patterns are up to date. I'm rather at the end of what I feel I can do to remedy this situation. Any suggestions?

Thanks!

Parents
  • Hello Vance,

    Thank you for contacting the Sophos Community!

    Could you please run the following command: ls -lh /var/up2date/sys 

    I think the problem might be that your partition is full already. You might see that you already have the up2date in there, but since the UTM doesn't have more space to install them even if you were to try manually it would fail. 

    I would recommend you to go to Management >> Up2date >> Configuration >> Firmware Download Interval and set it to Manual

    Then go to /var/up2date/sys and remove from there some up2date maybe just leave 4

    To remove you will run the command below, this will remove any u2d for 9.7 modify as necessary as to only leave 4 to install 

    # rm u2d-sys-9.70* 

    And  then run this command to install the Firmware manually 

    # auisys.plx 

    You can also check the KB below which has the commands I mentioned above.

    Sophos UTM: How to troubleshoot Up2date

    Regards,


     
    Emmanuel (EmmoSophos)
    Community Support Engineer | Sophos Technical Support
    Sophos Support VideosProduct Documentation  |  @SophosSupport  | Sign up for SMS Alerts
    If a post solves your question use the 'Verify Answer' link.
  • After running the ls -lh /var/up2date/sys command, I get the following response:

    total 200m

    -rw-r--r-- 1 root root 200m Sep 14 16:21 u2d-sys-9.703003-704002.tgz.gpg

    I was able to go into the web interface and delete some backups last night (freeing up space in this partition?). While Up2date still reports that my 9.605-1 firmware is up to date, the Pattern section now shows that there is a newer pattern that I can get (188954 vs 188534), so *something* is working now.

    I will try manually updating the firmware a little later today. My wife works from home, so I have to coordinate the downtime with her.

    Thanks for your assistance!

  • OK, after doing the above work and doing a reboot (just to be sure I had as clean of a system as possible), I manually loaded u2d-sys-9.703003-704002.tgz.gpg. The manual upload reported success. I then went to the Overview tab, which showed that the newer firmware was available. I then told it to load the new firmware. Below is the Up2date logfile from that attempt:

    2020:09:15-10:56:11 aragorn audld[10141]: >=========================================================================
    2020:09:15-10:56:11 aragorn audld[10141]: id="3713" severity="error" sys="system" sub="up2date" name="Fatal: no valid license found, disabling system up2date"
    2020:09:15-10:56:11 aragorn audld[10141]: 
    2020:09:15-10:56:11 aragorn audld[10141]:  1. Modules::Logging::alf:100() /</sbin/audld.plx>Modules/Logging.pm
    2020:09:15-10:56:11 aragorn audld[10141]:  2. Modules::Audld::SystemAttributes::_get_license:104() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:15-10:56:11 aragorn audld[10141]:  3. Modules::Audld::SystemAttributes::get:49() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:15-10:56:11 aragorn audld[10141]:  4. main::main:100() audld.pl
    2020:09:15-10:56:11 aragorn audld[10141]:  5. main::top-level:40() audld.pl
    2020:09:15-10:56:11 aragorn audld[10141]: <=========================================================================
    2020:09:15-10:56:11 aragorn audld[10141]: patch up2date possible
    2020:09:15-10:56:13 aragorn audld[10141]: id="3701" severity="info" sys="system" sub="up2date" name="Authentication successful"
    2020:09:15-11:19:02 aragorn audld[12102]: no HA system or cluster node
    2020:09:15-11:19:02 aragorn audld[12102]: Starting Up2Date Package Downloader
    2020:09:15-11:19:02 aragorn audld[12102]: >=========================================================================
    2020:09:15-11:19:02 aragorn audld[12102]: id="3713" severity="error" sys="system" sub="up2date" name="Fatal: no valid license found, disabling system up2date"
    2020:09:15-11:19:02 aragorn audld[12102]: 
    2020:09:15-11:19:02 aragorn audld[12102]:  1. Modules::Logging::alf:100() /</sbin/audld.plx>Modules/Logging.pm
    2020:09:15-11:19:02 aragorn audld[12102]:  2. Modules::Audld::SystemAttributes::_get_license:104() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:15-11:19:02 aragorn audld[12102]:  3. Modules::Audld::SystemAttributes::get:49() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:15-11:19:02 aragorn audld[12102]:  4. main::main:100() audld.pl
    2020:09:15-11:19:02 aragorn audld[12102]:  5. main::top-level:40() audld.pl
    2020:09:15-11:19:02 aragorn audld[12102]: <=========================================================================
    2020:09:15-11:19:02 aragorn audld[12102]: patch up2date possible
    2020:09:15-11:19:04 aragorn audld[12102]: id="3701" severity="info" sys="system" sub="up2date" name="Authentication successful"
    2020:09:15-11:19:04 aragorn audld[12102]: Dry run is enabled, stopping here.
    2020:09:15-12:15:27 aragorn auisys[16848]: no HA system or cluster node
    2020:09:15-12:15:31 aragorn auisys[16848]: removing '/var/up2date/sys-install'
    2020:09:15-12:15:31 aragorn auisys[16848]: Starting Up2Date Package Installer
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <man9> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <aws> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <appctrl43> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <ohelp9> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <aptp> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <cadata> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <geoip> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <ipsbundle2> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: No suitable packages of type <savi> found, skipping
    2020:09:15-12:15:32 aragorn auisys[16848]: Install u2d packages <sys>
    2020:09:15-12:15:32 aragorn auisys[16848]: Starting installing up2date packages for type 'sys'
    2020:09:15-12:15:32 aragorn auisys[16848]: unpacking up2date package: /var/up2date/sys/u2d-sys-9.703003-704002.tgz.gpg
    2020:09:15-12:15:32 aragorn auisys[16848]: unpacking up2date package version: 9.704002
    2020:09:15-12:15:32 aragorn auisys[16848]: Verifying up2date package signature
    2020:09:15-12:15:37 aragorn auisys[16848]: Unpacking installation instructions
    2020:09:15-12:15:40 aragorn auisys[16848]: parsing installation instructions
    2020:09:15-12:15:40 aragorn auisys[16848]: Showdesc ok.
    2020:09:15-12:15:40 aragorn auisys[16848]: [INFO-301] New Firmware Up2Date is ready for installation
    2020:09:15-12:16:02 aragorn auisys[16848]: Up2Date Package Installer finished, exiting
    2020:09:15-12:16:02 aragorn auisys[16848]: id="3716" severity="info" sys="system" sub="up2date" name="Up2Date Package Installer finished, exiting"
    2020:09:15-12:21:03 aragorn audld[5525]: no HA system or cluster node
    2020:09:15-12:21:03 aragorn audld[5525]: Starting Up2Date Package Downloader
    2020:09:15-12:21:05 aragorn audld[5525]: >=========================================================================
    2020:09:15-12:21:05 aragorn audld[5525]: id="3713" severity="error" sys="system" sub="up2date" name="Fatal: no valid license found, disabling system up2date"
    2020:09:15-12:21:05 aragorn audld[5525]: 
    2020:09:15-12:21:05 aragorn audld[5525]:  1. Modules::Logging::alf:100() /</sbin/audld.plx>Modules/Logging.pm
    2020:09:15-12:21:05 aragorn audld[5525]:  2. Modules::Audld::SystemAttributes::_get_license:104() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:15-12:21:05 aragorn audld[5525]:  3. Modules::Audld::SystemAttributes::get:49() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:15-12:21:05 aragorn audld[5525]:  4. main::main:100() audld.pl
    2020:09:15-12:21:05 aragorn audld[5525]:  5. main::top-level:40() audld.pl
    2020:09:15-12:21:26 aragorn audld[5525]: <=========================================================================
    2020:09:15-12:21:26 aragorn audld[5525]: patch up2date possible
    2020:09:15-12:21:37 aragorn audld[5525]: id="3701" severity="info" sys="system" sub="up2date" name="Authentication successful"
    2020:09:15-12:21:38 aragorn audld[5525]: Dry run is enabled, stopping here.
    2020:09:15-12:22:17 aragorn auisys[6009]: no HA system or cluster node
    2020:09:15-12:22:17 aragorn auisys[6009]: waiting for db_verify to return (30 seconds max)
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/appctrl43-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/aptp-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/aws-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/cadata-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/geoip-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/ipsbundle2-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/man9-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/ohelp9-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/savi-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: removing '/var/up2date/sys-install'
    2020:09:15-12:22:21 aragorn auisys[6009]: Starting Up2Date Package Installer
    2020:09:15-12:22:21 aragorn auisys[6009]: Install u2d packages <sys>
    2020:09:15-12:22:21 aragorn auisys[6009]: Starting installing up2date packages for type 'sys'
    2020:09:15-12:22:21 aragorn auisys[6009]: Installing up2date package: /var/up2date/sys/u2d-sys-9.703003-704002.tgz.gpg
    2020:09:15-12:22:22 aragorn auisys[6009]: Verifying up2date package signature
    2020:09:15-12:22:30 aragorn auisys[6009]: Unpacking installation instructions
    2020:09:15-12:22:32 aragorn auisys[6009]: parsing installation instructions
    2020:09:15-12:22:32 aragorn auisys[6009]: >=========================================================================
    2020:09:15-12:22:32 aragorn auisys[6009]: You are currently running Version 9.605001, but Version 9.703003 is required for this up2date package.
    2020:09:15-12:22:32 aragorn auisys[6009]: 
  • Hello there,

    You are currently running Version 9.605001, but Version 9.703003 is required for this up2date package. However, it does say that you don't have a valid license. If you don't have a valid license the up2date will not work. If you need to upgrade to 9.70.3 you would need to re-image the device. To re-image please follow this KB.

    Would it be possible for you to enable Support Access in your UTM and send me the Access ID via PM, so I can check this?

    Regards,


     
    Emmanuel (EmmoSophos)
    Community Support Engineer | Sophos Technical Support
    Sophos Support VideosProduct Documentation  |  @SophosSupport  | Sign up for SMS Alerts
    If a post solves your question use the 'Verify Answer' link.
  • first you should try to refresh your home-use-license.

    Afterwards the firmware-download should work again.

    Possible it is better to delete the u2d-sys-9.703003-704002.tgz.gpg file.

    if you wish to load updates manually, you have to upload all updates from 9.605

    your file is update-step from 9.703->9.704 only

    you need the following files:

    u2d-sys-9.605001-606001.tgz.gpg

    u2d-sys-9.606001-702001.tgz.gpg

    u2d-sys-9.702001-703003.tgz.gpg

    u2d-sys-9.703003-704002.tgz.gpg

    Dirk

  • Progress! I am now able to install firmware updates, to a point. I am now at 9.702-1 firmware version. I have uploaded 9.703 and it reports that it was successful, but it does not show when I go to the available firmware versions. It does show 9.704.2 as available, but when I try to install that version it fails with that same error message of not having a valid license. Log entries are:

    2020:09:16-00:49:02 aragorn audld[36183]: id="3713" severity="error" sys="system" sub="up2date" name="Fatal: no valid license found, disabling system up2date"
    2020:09:16-00:49:02 aragorn audld[36183]: 
    2020:09:16-00:49:02 aragorn audld[36183]:  1. Modules::Logging::alf:100() /</sbin/audld.plx>Modules/Logging.pm
    2020:09:16-00:49:02 aragorn audld[36183]:  2. Modules::Audld::SystemAttributes::_get_license:104() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:16-00:49:02 aragorn audld[36183]:  3. Modules::Audld::SystemAttributes::get:49() /</sbin/audld.plx>Modules/Audld/SystemAttributes.pm
    2020:09:16-00:49:02 aragorn audld[36183]:  4. main::main:100() audld.pl
    2020:09:16-00:49:02 aragorn audld[36183]:  5. main::top-level:40() audld.pl
    2020:09:16-00:49:02 aragorn audld[36183]: <=========================================================================
    2020:09:16-00:49:02 aragorn audld[36183]: patch up2date possible
    2020:09:16-00:49:04 aragorn audld[36183]: id="3701" severity="info" sys="system" sub="up2date" name="Authentication successful"
    2020:09:16-00:49:04 aragorn audld[36183]: Dry run is enabled, stopping here.
    2020:09:16-01:49:01 aragorn audld[40598]: no HA system or cluster node
    2020:09:16-01:49:01 aragorn audld[40598]: Starting Up2Date Package Downloader

    I'm glad that we've got progress, but stumped as to why this is now occurring.

    Thanks!

  • Hello  Vance,

    Did you install a new License as I mentioned in the PM?

    Regards,


     
    Emmanuel (EmmoSophos)
    Community Support Engineer | Sophos Technical Support
    Sophos Support VideosProduct Documentation  |  @SophosSupport  | Sign up for SMS Alerts
    If a post solves your question use the 'Verify Answer' link.
  • Yes, new license is installed. That was done before trying to install any of the updates. After getting the new license, I started uploading the updates, starting with 9.605. They all uploaded and installed fine until 9.703. That one *said* it uploaded successfully, but has never appeared on the Overview tab as an available option. Only 9.704-2 has appeared and it tanks with this "no license" message.

    Registration Date: 14 September 2020
    License Revision: 1
    Special: None
    Type: Software
    Model:
    Max. Users: unlimited
    Max. Connections: unlimited
  • Hello Vence, thank you for the follow-up, I think I still have access to your UTM, so I will be checking and sending you a PM. 

    Regards,


     
    Emmanuel (EmmoSophos)
    Community Support Engineer | Sophos Technical Support
    Sophos Support VideosProduct Documentation  |  @SophosSupport  | Sign up for SMS Alerts
    If a post solves your question use the 'Verify Answer' link.
Reply Children
No Data